﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using C1.WPF.C1Chart;
using C1.WPF.C1Chart.Extended;
using System.IO;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows;
using C1.WPF.Pdf;
namespace WPF_Chart_ConsoleCustomizedExport
{
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {

            //Define Chart
            System.Windows.Controls.Canvas canvas = new System.Windows.Controls.Canvas();
            C1Chart Chart1;

            Chart1 = new C1Chart() { Height = 500, Width = 500 };
            Chart1.BeginUpdate();


            DataSeries ds = new DataSeries();
            ds.ValuesSource = new int[] { 1, 2, 3, 4, 5 };
            Chart1.Data.Children.Add(ds);
                      
            ds = null;
            ds = new DataSeries();
            ds.ValuesSource = new int[] { 6, 7, 8, 9, 10 };
            Chart1.Data.Children.Add(ds);
            

            Chart1.View.AxisX.Min = 0;
            Chart1.View.AxisX.Max = 20;
            Chart1.View.AxisX.MajorUnit = 5;
            Chart1.View.AxisX.AnnoAngle = 0;
            Chart1.ChartType = ChartType.BarStacked;
                        

            Chart1.EndUpdate();
            Chart1.UpdateLayout();

            canvas.Children.Add(Chart1);
            canvas.Arrange(new System.Windows.Rect(0, 0, 500, 500));
           
            
            //Customize Chart
            canvas.UpdateLayout();

            PlotElement ps = ((System.Windows.Controls.Panel)(Chart1.Data.Children[0])).Children[0] as PlotElement;
            ps.Stroke = new SolidColorBrush(Colors.Red);
            ps.Fill = new SolidColorBrush(Colors.Blue);

            ps.RenderTransform = new RotateTransform(200);
            
            Chart1.UpdateLayout();

            // Generate Chart Image
            MemoryStream ms = new MemoryStream();
            Chart1.SaveImage(ms, ImageFormat.Png);
            BitmapImage bi = new BitmapImage();
            bi.BeginInit();
            bi.StreamSource = ms;
            bi.EndInit();            
            WriteableBitmap wBmp = new WriteableBitmap(bi);

            // create and save pdf document
            C1PdfDocument pdf = new C1PdfDocument();
            pdf.DrawImage(wBmp, new Rect(0, 0, Chart1.ActualWidth, Chart1.ActualHeight));
            pdf.Save(@"c:\users\stduser\desktop\ConsoleChartImage.pdf");

        }
    }
}

